package com.ruoyi.finance.shipping;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class FinancialTFee implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long fId;
    /**
     *系统编号
     */
    @Excel(name = "系统编号")
    private String fBillno;
    /**
     *客户名称
     */
    @Excel(name = "客户名称")
    private String fCorpidName;
    /**
     *船名
     */
    @Excel(name = "船名")
    private String vessel;
    /**
     *航次
     */
    @Excel(name = "航次")
    private String voyage;
    /**
     *起运港
     */
    @Excel(name = "起运港")
    private String loadportName;
    /**
     *目的港
     */
    @Excel(name = "目的港")
    private String destportName;
    /**
     *应收金额合计
     */
    @Excel(name = "应收金额")
    private BigDecimal fAmtdr;
    /**
     *实收金额合计
     */
    @Excel(name = "实收金额")
    private BigDecimal fAmtcr;
    /**
     *状态
     */
    @Excel(name = "状态")
    private String fBillstatusName;
    /**
     *创建人
     */
    @Excel(name = "制单人")
    private String createBy;
    /**
     *创建时间
     */
    @Excel(name = "制单日期")
    private Date createTime;
    /**
     *备注
     */
    @Excel(name = "备注")
    private String fRemarks;
    /**
     * 开票备注
     */
    private String invoiceRemarks;
    /**
     *银行账号
     */
    private String fBankNumber;
    /**
     *收付中文名
     */
    private String fSrcdcName;
    /**
     *货权方
     */
    private String fCtrlcorpid;
    /**
     *收费方式
     */
    private String chargingMethod;
    /**
     *发票号
     */
    private String invoiceNo;
    /**
     *银行
     */
    private String fBank;
    /**
     *水单号
     */
    private String waterBillNo;
    /**
     *客户id
     */
    private Long fCorpid;
    /**
     *结算日期
     */
    private Date fAccbilldate;
    /**
     *提单号
     */
    private String tMblno;
    /**
     *业务类型
     */
    private String fBilltype;
    /**
     *系统类型
     */
    private Long fSystemType;
    /**
     *创建人所属公司
     */
    private String createName;
    /**
     *修改人
     */
    private String updateBy;
    /**
     *修改时间
     */
    private Date updateTime;
    /**
     * 起运港id
     */
    private Long fLoadportid;
    /**
     * 目的港id
     */
    private Long fDestportid;
    /**
     * 船名id
     */
    private Long fVslid;
    /**
     * 航次id
     */
    private Long fVoyid;
    /**
     * 开始时间
     */
    private Date fFromDate;
    /**
     * 结束时间
     */
    private Date fToDate;
    /**
     * 收付中文名
     */
    private String fDc;
    /**
     * 是否对账
     */
    private String fReconciliation;
    /**
     * 状态
     */
    private String fBillstatus;
    /**
     * 编号
     */
    private  String srcBillNo;
    /**
     * 银行
     */
    private String bank;

    public String getfReconciliation() {
        return fReconciliation;
    }

    public void setfReconciliation(String fReconciliation) {
        this.fReconciliation = fReconciliation;
    }

    public String getfDc() {
        return fDc;
    }

    public void setfDc(String fDc) {
        this.fDc = fDc;
    }

    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public String getSrcBillNo() {
        return srcBillNo;
    }

    public void setSrcBillNo(String srcBillNo) {
        this.srcBillNo = srcBillNo;
    }

    public String getfCorpidName() {
        return fCorpidName;
    }

    public void setfCorpidName(String fCorpidName) {
        this.fCorpidName = fCorpidName;
    }

    public String getVessel() {
        return vessel;
    }

    public void setVessel(String vessel) {
        this.vessel = vessel;
    }

    public String getVoyage() {
        return voyage;
    }

    public void setVoyage(String voyage) {
        this.voyage = voyage;
    }

    public String getLoadportName() {
        return loadportName;
    }

    public void setLoadportName(String loadportName) {
        this.loadportName = loadportName;
    }

    public String getDestportName() {
        return destportName;
    }

    public void setDestportName(String destportName) {
        this.destportName = destportName;
    }

    public BigDecimal getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmtdr(BigDecimal fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public BigDecimal getfAmtcr() {
        return fAmtcr;
    }

    public void setfAmtcr(BigDecimal fAmtcr) {
        this.fAmtcr = fAmtcr;
    }

    public String getfBillstatus() {
        return fBillstatus;
    }

    public void setfBillstatus(String fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getfRemarks() {
        return fRemarks;
    }

    public void setfRemarks(String fRemarks) {
        this.fRemarks = fRemarks;
    }

    public String getfBankNumber() {
        return fBankNumber;
    }

    public void setfBankNumber(String fBankNumber) {
        this.fBankNumber = fBankNumber;
    }

    public String getfSrcdcName() {
        return fSrcdcName;
    }

    public void setfSrcdcName(String fSrcdcName) {
        this.fSrcdcName = fSrcdcName;
    }

    public String getfCtrlcorpid() {
        return fCtrlcorpid;
    }

    public void setfCtrlcorpid(String fCtrlcorpid) {
        this.fCtrlcorpid = fCtrlcorpid;
    }

    public String getChargingMethod() {
        return chargingMethod;
    }

    public void setChargingMethod(String chargingMethod) {
        this.chargingMethod = chargingMethod;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getfBank() {
        return fBank;
    }

    public void setfBank(String fBank) {
        this.fBank = fBank;
    }

    public String getWaterBillNo() {
        return waterBillNo;
    }

    public void setWaterBillNo(String waterBillNo) {
        this.waterBillNo = waterBillNo;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public Date getfAccbilldate() {
        return fAccbilldate;
    }

    public void setfAccbilldate(Date fAccbilldate) {
        this.fAccbilldate = fAccbilldate;
    }

    public String gettMblno() {
        return tMblno;
    }

    public void settMblno(String tMblno) {
        this.tMblno = tMblno;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public Long getfSystemType() {
        return fSystemType;
    }

    public void setfSystemType(Long fSystemType) {
        this.fSystemType = fSystemType;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getfLoadportid() {
        return fLoadportid;
    }

    public void setfLoadportid(Long fLoadportid) {
        this.fLoadportid = fLoadportid;
    }

    public Long getfDestportid() {
        return fDestportid;
    }

    public void setfDestportid(Long fDestportid) {
        this.fDestportid = fDestportid;
    }

    public Long getfVslid() {
        return fVslid;
    }

    public void setfVslid(Long fVslid) {
        this.fVslid = fVslid;
    }

    public Long getfVoyid() {
        return fVoyid;
    }

    public void setfVoyid(Long fVoyid) {
        this.fVoyid = fVoyid;
    }

    public Date getfFromDate() {
        return fFromDate;
    }

    public void setfFromDate(Date fFromDate) {
        this.fFromDate = fFromDate;
    }

    public Date getfToDate() {
        return fToDate;
    }

    public void setfToDate(Date fToDate) {
        this.fToDate = fToDate;
    }

    public String getfBillstatusName() {
        return fBillstatusName;
    }

    public void setfBillstatusName(String fBillstatusName) {
        this.fBillstatusName = fBillstatusName;
    }

    public String getfBillno() {
        return fBillno;
    }

    public void setfBillno(String fBillno) {
        this.fBillno = fBillno;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getInvoiceRemarks() {
        return invoiceRemarks;
    }

    public void setInvoiceRemarks(String invoiceRemarks) {
        this.invoiceRemarks = invoiceRemarks;
    }

    @Override
    public String toString() {
        return "FinancialTFee{" +
                "fId=" + fId +
                ", srcBillNo='" + srcBillNo + '\'' +
                ", fCorpidName='" + fCorpidName + '\'' +
                ", vessel='" + vessel + '\'' +
                ", voyage='" + voyage + '\'' +
                ", loadportName='" + loadportName + '\'' +
                ", destportName='" + destportName + '\'' +
                ", fAmtdr=" + fAmtdr +
                ", fAmtcr=" + fAmtcr +
                ", fBillstatus='" + fBillstatus + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime=" + createTime +
                ", fRemarks='" + fRemarks + '\'' +
                ", fBankNumber='" + fBankNumber + '\'' +
                ", fSrcdcName='" + fSrcdcName + '\'' +
                ", fCtrlcorpid='" + fCtrlcorpid + '\'' +
                ", chargingMethod='" + chargingMethod + '\'' +
                ", invoiceNo='" + invoiceNo + '\'' +
                ", fBank='" + fBank + '\'' +
                ", waterBillNo='" + waterBillNo + '\'' +
                ", fCorpid=" + fCorpid +
                ", fAccbilldate=" + fAccbilldate +
                ", tMblno='" + tMblno + '\'' +
                ", fBilltype='" + fBilltype + '\'' +
                ", fSystemType=" + fSystemType +
                ", createName='" + createName + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime=" + updateTime +
                ", fLoadportid=" + fLoadportid +
                ", fDestportid=" + fDestportid +
                ", fVslid=" + fVslid +
                ", fVoyid=" + fVoyid +
                ", fFromDate=" + fFromDate +
                ", fToDate=" + fToDate +
                ", fDc=" + fDc +
                ", fReconciliation=" + fReconciliation +
                ", fBillstatusName='" + fBillstatusName + '\'' +
                ", fBillno='" + fBillno + '\'' +
                ", bank='" + bank + '\'' +
                ", invoiceRemarks='" + invoiceRemarks + '\'' +
                '}';
    }
}
